## cfourcc 0.1.2

=== Makefile ===
# plain simple and stupid Makefile for cfourcc
#
# author : mypapit
# date : 25 February 2005
#

CC=gcc
CFLAGS=-O2 -pedantic -ansi -Wall
INSTALL=install
PREFIX=/usr/local


all :
	$(CC) $(CFLAGS) cfourcc.c -o cfourcc

install : all
	strip cfourcc
	$(INSTALL) -m755 cfourcc $(PREFIX)/bin

clean : 
	rm -f cfourcc

=== debian/changelog ===
cfourcc (0.1.2-10) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920122)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: updated from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/cfourcc.1.pod: correct spelling error.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Updated upstream website.
  * debian/copyright:
      - Add me to debian/* block.
      - Add upstream e-mail.
      - Update website url.
      - Format link to use HTTPS instead of HTTP.
  * debian/tests/control: add simple test.
  * debian/watch:
      - Bumped version to 4.
      - Use new website.

 -- Ricardo Fantin da Costa <ricardofantin@gmail.com>  Fri, 19 Jul 2019 11:34:17 -0300

cfourcc (0.1.2-9) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Homepage): Update to Freecode.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update to Copyright Format 1.0.
    - Update years and add Matej Vela.
    - (Homepage): Update to Freecode.
    - (Comment): Mention dead upstream page.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Feb 2014 21:59:50 +0200

cfourcc (0.1.2-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/debian-vars.mk
    - Delete; no longer needed.
  * debian/patches
    - Remove all. Handle everything in debian/rules.
  * debian/rules
     - Enable all hardening flags.
     - Use DEB_*_MAINT_* variables (Closes: #665194). Patch thanks to
       Simon Ruderich <simon@ruderich.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 14:03:58 -0400

cfourcc (0.1.2-7) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
  * debian/debian-compile.mk
    - Delete. No longer needed.
  * debian/install
    - New file.
  * debian/rules
    - Remove unnecessary rules.
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Feb 2012 14:17:57 -0500

cfourcc (0.1.2-6) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/{cfourcc.manpages,clean,debian-compile.mk}
    - New files.
  * debian/control
    - (Build-Depends): remove dpatch.
    - (Section): change to video.
    - (Standards-Version): 3.8.4
  * debian/copyright
    - Minor layout update. Use FSF URL.
  * debian/patches
    - Convert to quilt.
  * debian/rules
    - Remove dpatch.
    - Remove rules obsoleted by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 14 Feb 2010 02:15:39 +0200

cfourcc (0.1.2-5) unstable; urgency=low

  * debian/control
    - (Standards-Version): update to 3.8.2 (lintian).
  * debian/copyright:
    - Spell out GPL-2 (lintian).
  * debian/rules
    - (install): use dh_prep (lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Aug 2009 08:01:18 +0000

cfourcc (0.1.2-4) unstable; urgency=low

  * New maintainer (O/ITA; Closes: #425242).
  * debian/*.1
    - Remove hand made manual page.
  * debian/*.1.pod
    - Add new file. Use POD format to generate the *.1 manual page.
  * debian/compat:
    - Change from 4 to 7.
  * debian/control:
    - (Homepage, Vcs-*): New fields.
    - (Standards-Version): Update to 3.8.0.
    - (Build-Depends): Remove cdbs, add dpatch and debhelper.
  * debian/copyright
    - Update to latest template.
    - Update upstream email address.
    - Adjust and add proper year information.
  * debian/{docs,dirs,manpages}
    - Remove unnecessary files. Handled by debian/rules.
  * debian/patches:
    - Convert cdbs no-strip.diff into dpatch file 10-makefile-no-strip.dpatch.
  * debian/rules:
    - Rewrite to use debhelper instead of CDBS.
  * debian-vars.mk
    - Add new file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Oct 2008 18:05:36 +0000

cfourcc (0.1.2-3) unstable; urgency=low

  * QA upload.
  * Makefile: Let dh_strip take care of stripping, honoring
    DEB_BUILD_OPTIONS=nostrip.  Closes: #436618.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 27 Aug 2007 10:59:49 +0200

cfourcc (0.1.2-2) unstable; urgency=low

  * Orphaning the package.

 -- Jarno Elonen <elonen@debian.org>  Fri, 18 May 2007 12:17:42 +0300

cfourcc (0.1.2-1) unstable; urgency=low

  * Initial release Closes: #359657

 -- Jarno Elonen <elonen@debian.org>  Wed, 29 Mar 2006 20:21:15 +0300

=== debian/control ===
Source: cfourcc
Section: video
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cfourcc.git
Vcs-Git: git://anonscm.debian.org/collab-maint/cfourcc.git
Homepage: https://github.com/mypapit/cfourcc

Package: cfourcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line tool for changing FourCC in Microsoft RIFF AVI files
 Identifies the codec used in AVI files (*.avi) and allows
 the user to change the FourCC description code (like
 fourcc-changer in Windows). Useful for people working
 with Microsoft AVI file. A Linux clone of AviC fourcc changer tool.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = cfourcc

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic -std=c99
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build:
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PACKAGE).c -o $(PACKAGE)

override_dh_auto_install: man
	# Upstream Makefile is no good. Use debian/install

%:
	dh $@

.PHONY: man

# End of file

=== debian/tests/control ===
Test-Command: cfourcc | grep usage

=== debian/watch ===
version=4
https://github.com/mypapit/cfourcc/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## cfourcc 0.1.3.1%2B20161021%2Bgit82fbcfd

=== debian/tests/control ===
Test-Command: cfourcc | grep usage
Restrictions: superficial

## cfourcc 0.1.3.1+20161021+git82fbcfd

=== debian/changelog ===
cfourcc (0.1.3.1+20161021+git82fbcfd-1) unstable; urgency=medium

  * QA upload.

  [ Jari Aalto ]
  * New upstream version 0.1.3.1+20161021+git82fbcfd
  * debian/pod2man.mk: update

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from old 12 to 13.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Updated vcs in d/control to Salsa.
  * Flag in d/control that build do not need root.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 May 2024 20:24:05 +0200

cfourcc (0.1.2-11) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible (Reiner Herrmann, closes: #782206).
  * Mark a test as superficial (closes: #969808).
  * Fix FTCBFS (Helmut Grohne, closes: #928248).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 17 Sep 2020 09:44:58 +0200

=== debian/control ===
Source: cfourcc
Section: video
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cfourcc
Vcs-Git: https://salsa.debian.org/debian/cfourcc.git
Homepage: https://github.com/mypapit/cfourcc
Rules-Requires-Root: no

Package: cfourcc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: command line tool for changing FourCC in Microsoft RIFF AVI files
 Identifies the codec used in AVI files (*.avi) and allows
 the user to change the FourCC description code (like
 fourcc-changer in Windows). Useful for people working
 with Microsoft AVI file. A Linux clone of AviC fourcc changer tool.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = cfourcc

-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic -std=c99

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(PACKAGE).c -o $(PACKAGE)

override_dh_auto_install: man
	# Upstream Makefile is no good. Use debian/install

%:
	dh $@

.PHONY: man

# End of file
